Bug 497541 - freeglut-devel doesn't provide a glut.pc
freeglut-devel doesn't provide a glut.pc
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: freeglut (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 10:54 EDT by John Ellson
Modified: 2009-05-05 06:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-05 06:15:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2009-04-24 10:54:55 EDT
Description of problem:
No glut.pc installed by freeglut-devel to allow apps to use pkg-config.

Version-Release number of selected component (if applicable):
freeglut-devel-2.4.0-16.fc11

How reproducible:
100%

Steps to Reproduce:
1. rpm -ql freeglut-devel | grep .pc
2.
3.
  
Actual results:


Expected results:
/usr/lib/pkgconfig/glut.pc

Additional info:

Somhow, Mac Ports manages to install a glut.pc on Mac OSX Leopard.
Comment 1 Tomas Smetana 2009-04-24 13:05:52 EDT
Hm... I somehow couldn't  find the pc file in the sources (even the new 2.6.0 version doesn't have it).  Even if I wrote one, nobody could rely on pkg-config -- it would not be portable.  I may try to write the .pc for the new 2.6.0 version though, maybe it would make it to the final release.
Comment 2 John Ellson 2009-04-24 14:41:05 EDT
Thanks for looking into this.

I suggest you can make it portable by generating glut.pc with ./configure using a glut.pc.in.   Here is an example from graphviz:

-----------libgraph.pc.in----------------
prefix=@prefix@
exec_prefix=@exec_prefix@
libdir=@libdir@
includedir=@includedir@/@PACKAGE@

Name: libgraph
Description: Graph library (file i/o, dot language parsing, graph, subgraph, node, edge, attribute, data structure manipulation)
Version: @VERSION@
Libs: -L${libdir} -lgraph -lcdt
Cflags: -I${includedir}
------------------------------------------

Later I'll send you the glut.h from mac ports - unfortunately I'm seeing network problems and can't reach my Mac system at the moment....
Comment 3 John Ellson 2009-04-25 00:26:06 EDT
Interesting, the one in MacPorts comes from Mesa!   I can't find this in any Mesa rpm for Fedora.

-----------------mac:/opt/local/lib/pkgconfig/glut.h-------------------------
prefix=/opt/local
exec_prefix=${prefix}
libdir=/opt/local/lib
includedir=/opt/local/include

Name: glut
Description: Mesa OpenGL Utility Toolkit library
Requires: gl glu
Version: 3.7.1
Libs: -L${libdir} -lglut
Cflags: -I${includedir}
--------------------------------------------------------------------------
Comment 4 Tomas Smetana 2009-04-25 05:05:30 EDT
So MacOS ships MesaGLUT but Fedora ships freeGLUT and one of the differences is that MesaGLUT includes the pkg-config file.  This might be useful so I'll try to write a patch for freeglut and send it upstream.
Comment 5 Tomas Smetana 2009-05-05 06:15:41 EDT
I've sent a patch upstream but got no response.  If the upstream decides to include the patch it might get into 2.6.0 final version.

Note You need to log in before you can comment on or make changes to this bug.